#ifndef CREATE_SIGNAL_THREAD
#define CREATE_SIGNAL_THREAD


#include <QtGui>
#include "my_signal.h"
#include "custom_functions.h"
#include "fparser.hh"



class CreateSignalThread : public QThread{
	Q_OBJECT
	
	private:
		Signal sig;
		QString error;
		QString func;
		double from,to,step;
	
	public:
		CreateSignalThread(QString func, double from, double to, double step, QObject * parent = 0);
		virtual ~CreateSignalThread();
		
		Signal getSignal();
		bool isOK();
		QString getErrorMsg();

	protected:
		void run();
	
};


#endif 
